package org.mynonglam.entitys;

import java.io.Serializable;
import javax.persistence.*;
import java.util.List;


/**
 * The persistent class for the sharetype database table.
 * 
 */
@Entity
public class ShareType implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String idshare;

	private String discription;

	//bi-directional many-to-one association to Album
	@OneToMany(mappedBy="sharetype")
	private List<Album> albums;

	//bi-directional many-to-one association to Relationship
	@OneToMany(mappedBy="sharetype")
	private List<Relationship> relationships;

	//bi-directional many-to-one association to Status
	@OneToMany(mappedBy="sharetype")
	private List<Status> statuses;

	public ShareType() {
	}

	public String getIdshare() {
		return this.idshare;
	}

	public void setIdshare(String idshare) {
		this.idshare = idshare;
	}

	public String getDiscription() {
		return this.discription;
	}

	public void setDiscription(String discription) {
		this.discription = discription;
	}

	public List<Album> getAlbums() {
		return this.albums;
	}

	public void setAlbums(List<Album> albums) {
		this.albums = albums;
	}

	public List<Relationship> getRelationships() {
		return this.relationships;
	}

	public void setRelationships(List<Relationship> relationships) {
		this.relationships = relationships;
	}

	public List<Status> getStatuses() {
		return this.statuses;
	}

	public void setStatuses(List<Status> statuses) {
		this.statuses = statuses;
	}

}